server:
  port: 8080

spring:
  datasource:
    url: jdbc:postgresql://localhost:5432/attention_service
    username: attention_service
    password: attention_service
    driver-class-name: org.postgresql.Driver

  jpa:
    show-sql: true
    hibernate:
      ddl-auto: update
    properties:
      hibernate:
        show_sql: true
        use_sql_comments: false
        format_sql: false
        default_schema: attention

logging:
  level:
    org.hibernate.SQL: debug

## SPRING CLOUD - MICROSERVICE LOCAL
## Disable EUREKA in development
eureka:
  client:
    enabled: false

## ATTENTION SERVICE - ENV VARIABLES
attention:
  videocalling:
    app:
      id: ""
      certificate: ""

security:
  jwt:
    secret: ""
  sendgrid:
    enabled: false
    api-key: ""
    sender-email: ""
    variables:
      check-appointment-url: http://127.0.0.1:3000/citas/
    templates:
      appointment-registered-patient-id: d-24769dc0d00e4356aaa2540f69cc43d9
      appointment-registered-specialist-id: d-2a62929b91db4e2582909914c153eaa4
